Bug 52549 - error: mono_w32socket_convert_error: no translation into winsock error for (41) "Protocol wrong type for socket"
Summary: error: mono_w32socket_convert_error: no translation into winsock error for (4...
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Ludovic Henry
URL:
Depends on:
Blocks:
 
Reported: 2017-02-15 22:49 UTC by Marek Safar
Modified: 2017-07-12 09:18 UTC (History)
3 users (show)

Tags: 2017-02
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Marek Safar 2017-02-15 22:49:10 UTC
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: error: mono_w32socket_convert_error: no translation into winsock error for (41) "Protocol wrong type for socket"
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical: Stacktrace:
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at <unknown> <0xffffffff>
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at (wrapper managed-to-native) System.Net.Sockets.Socket.Send_internal (intptr,byte[],int,int,System.Net.Sockets.SocketFlags,int&,bool) <0x00012>
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.Sockets.Socket.Send_internal (System.Net.Sockets.SafeSocketHandle,byte[],int,int,System.Net.Sockets.SocketFlags,int&,bool) [0x00006] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/System/System.Net.Sockets/Socket.cs:2018
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.Sockets.Socket.Send (byte[],int,int,System.Net.Sockets.SocketFlags,System.Net.Sockets.SocketError&) [0x00021] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/System/System.Net.Sockets/Socket.cs:1780
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.Sockets.Socket.Send (byte[],int,int,System.Net.Sockets.SocketFlags) [0x00000] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/referencesource/System/net/System/Net/Sockets/Socket.cs:1536
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.Sockets.NetworkStream.Write (byte[],int,int) [0x0009b] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/referencesource/System/net/System/Net/Sockets/NetworkStream.cs:591
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.ResponseStream.InternalWrite (byte[],int,int) [0x0001b] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/System/System.Net/ResponseStream.cs:138
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.ResponseStream.Write (byte[],int,int) [0x000c0] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/System/System.Net/ResponseStream.cs:169
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at MonoTests.System.Net.HttpListenerTest/<HttpClientIsDisconnectedCheckForWriteException>c__AnonStorey2.<>m__0 (System.IAsyncResult) [0x0004a] in /Users/builder/data/lanes/4343/fefba601/source/xamarin-macios/external/mono/mcs/class/System/Test/System.Net/HttpListenerTest.cs:705
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Net.ListenerAsyncResult.InvokeCallback (object) [0x0001c] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/System/System.Net/ListenerAsyncResult.cs:82
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Threading.QueueUserWorkItemCallback.System.Threading.IThreadPoolWorkItem.ExecuteWorkItem () [0x00015] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/referencesource/mscorlib/system/threading/threadpool.cs:1279
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Threading.ThreadPoolWorkQueue.Dispatch () [0x00074] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/referencesource/mscorlib/system/threading/threadpool.cs:856
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at ObjCRuntime.Runtime.ThreadPoolDispatcher (System.Func`1<bool>) [0x00006] in /Users/builder/data/lanes/4343/fefba601/source/xamarin-macios/src/ObjCRuntime/Runtime.cs:229
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at System.Threading._ThreadPoolWaitCallback.PerformWaitCallback () [0x00009] in /Library/Frameworks/Xamarin.iOS.framework/Versions/10.5.0.470/src/mono/mcs/class/referencesource/mscorlib/system/threading/threadpool.cs:1208
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:   at (wrapper runtime-invoke) <Module>.runtime_invoke_bool (object,intptr,intptr,intptr) [0x0001f] in <d6346adb4ff542ba92433d30d4d1c606>:0
Feb 15 13:47:25 itchy-18-sierra SystemTests[7524]: critical:
Comment 1 Ludovic Henry 2017-02-15 23:19:13 UTC
This will be fixed with https://github.com/mono/mono/pull/4391. Do you think you could extract a test case from the bug you observe?
Comment 2 Ludovic Henry 2017-02-15 23:29:59 UTC
Nevermind, I found a testcase for it.